=== modified file 'bzrlib/crash.py'
--- bzrlib/crash.py	2010-09-28 18:51:47 +0000
+++ bzrlib/crash.py	2011-03-28 00:33:59 +0000
@@ -93,8 +93,7 @@
         'encoding: %r, fsenc: %r, lang: %r\n' % (
             osutils.get_user_encoding(), sys.getfilesystemencoding(),
             os.environ.get('LANG')))
-    err_file.write("plugins:\n")
-    err_file.write(_format_plugin_list())
+    # We used to show all the plugins here, but it's too verbose.
     err_file.write(
         "\n\n"
         "*** Bazaar has encountered an internal error.  This probably indicates a\n"

=== modified file 'doc/en/release-notes/bzr-2.3.txt'
--- doc/en/release-notes/bzr-2.3.txt	2011-03-10 11:39:25 +0000
+++ doc/en/release-notes/bzr-2.3.txt	2011-03-28 00:33:59 +0000
@@ -5,6 +5,13 @@
 .. toctree::
    :maxdepth: 1
 
+Bug Fixes
+*********
+
+ * When reporting a crash without apport, don't print the full list of
+   plugins because it's often too long.
+   (Martin Pool, #716389)
+
 bzr 2.3.1
 #########
 

